#include <stdio.h>
#include <stdlib.h>
int main()
{
	int i,j,x,t,n,m,k,s,*r;
	scanf("%d",&t);
	r=calloc(t,sizeof(int));
	for(i=0;i<t;i++)
	{
		scanf("%d%d%d",&n,&m,&k);s=0;x=1;
  	    while(n>0)
		{
			for(j=0;j<k;j++)
			{
				s+=x;n--;
				if(n==0){break;}
			}
			x++;			   	  
		}
        if(s>m){*(r+i)=1;}
	}
	for(i=0;i<t;i++)
	{
		if(*(r+i)==1){printf("Nie\n");}
  	    else{printf("Tak\n");}
	}
	free(r);
	return 0;
}